@echo off

SET ECBIOS_NAME=Q5WV1X64.fd

:CR
SET BIOS_NAME=CR_HM77.bin
SET ME_VERSION=8.0.13.1502
SET ME_VERSION2=8.0.2.1410
goto Retry

:Retry
sprom -c:ecchk
if errorlevel 1 goto ChkMEVer
if errorlevel 0 goto FlashALL
goto Retry

:FlashBIOS
flashit %ECBIOS_NAME% /bios /b /ecb
goto exit

:FlashALL
flashit %ECBIOS_NAME% /all /ecb
goto exit

:ChkMEVer
meinfo >me.log
sprom -m:chk me.log %ME_VERSION%
if errorlevel 0 if not errorlevel 1 goto FlashBIOS

sprom -m:chk me.log %ME_VERSION2%
if errorlevel 0 if not errorlevel 1 goto FlashBIOS

:PullHDASDO
@echo on
@ECHO *****************************************************
@ECHO *           Inform EC Pull HDA_SDO to High          *
@ECHO *  Wait 5's System will reboot then reflash BIOS    *
@ECHO *****************************************************
@echo off
sprom -e:ghigh
sprom -e:reboot

:exit